summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD66
2 files changed, 92 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a89ec6533a9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = fluxion
+ pkgdesc = Fluxion is a security auditing and social-engineering research tool
+ pkgver = r24.75353f7
+ pkgrel = 1
+ url = https://github.com/FluxionNetwork/fluxion
+ arch = any
+ license = GPL3
+ makedepends = binutils
+ makedepends = coreutils
+ makedepends = git
+ depends = aircrack-ng
+ depends = bash>=4.2
+ depends = coreutils
+ depends = awk
+ depends = iw
+ depends = unzip
+ depends = curl
+ depends = bc
+ depends = xterm
+ provides = fluxion
+ conflicts = fluxion
+ source = git://github.com/FluxionNetwork/fluxion.git#branch=master
+ sha256sums = SKIP
+
+pkgname = fluxion
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a459e725eca
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,66 @@
+# Maintainer: Cyberfee <deltax.fluxion@gmail.com>
+
+_pkgname=fluxion
+pkgname=$_pkgname
+pkgver=r24.75353f7
+pkgrel=1
+pkgdesc='Fluxion is a security auditing and social-engineering research tool'
+url='https://github.com/FluxionNetwork/fluxion'
+license=('GPL3')
+source=('git://github.com/FluxionNetwork/fluxion.git#branch=master')
+
+depends=(
+ 'aircrack-ng' 'bash>=4.2' 'coreutils'
+ 'awk' 'iw' 'unzip'
+ 'curl' 'bc' 'xterm'
+)
+
+makedepends=('binutils' 'coreutils' 'git')
+conflicts=('fluxion')
+provides=('fluxion')
+sha256sums=('SKIP')
+arch=('any')
+
+prepare() {
+ if [ -d "$srcdir/$pkgname" ]; then
+ rm -rf "$srcdir/$pkgname"
+ fi
+
+ mkdir -p "$srcdir/$pkgname"
+ cd "$srcdir/$pkgname"
+}
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$srcdir/$_pkgname"
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+
+ mkdir -p "$pkgdir/usr/bin"
+ mkdir -p "$pkgdir/usr/share/fluxion"
+
+ install -Dm644 -t "$pkgdir/usr/share/doc/fluxion/" README.md
+ install -Dm644 -t "$pkgdir/usr/local/man/man1/" docs/man/fluxion.1
+
+ rm -rf *.md .git* *.yml .project .editorconfig
+
+ cp -a --no-preserve=ownership * "$pkgdir/usr/share/fluxion"
+
+ cat > "$pkgdir/usr/bin/fluxion" << EOF
+#!/bin/sh
+cd /usr/share/fluxion
+exec bash fluxion.sh "\${@}"
+EOF
+
+ chmod a+x "$pkgdir/usr/bin/fluxion"
+}